%define aurox_ver 9.4
%define rel 1



%define ver 0.11
%define name planner

Summary: 	A graphical project management tool.
Name:           %name
Version:        %ver
Release: %{aurox_ver}.aur.%{rel}
License: 	GPL
Group: 		Applications/Productivity
URL:		http://planner.imendio.org/
Source: 	%{name}-%{ver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{ver}-root

Requires:	gtk2 >= 2.0.3
Requires:       libgnomeui >= 2.0.1
Requires:	popt >= 1.5
Requires:	libglade2 >= 2.0.0
Requires:       libplanner = %{ver}
Requires:       gnome-vfs2 >= 2.0.2
Requires:       libgnomeprintui22 >= 2.2.0
Requires:       libxslt >= 1.0
Requires:	lib%{name} = %{PACKAGE_VERSION}
PreReq:         scrollkeeper >= 0.3.10

BuildRequires:	gtk2-devel >= 2.0.3
BuildRequires:	libgnomeui-devel >= 2.0.1
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:  libgnomecanvas-devel >= 2.0.1, libbonoboui-devel >= 2.0.1
BuildRequires:  libgsf-devel
BuildRequires:  gnome-vfs2-devel >= 2.0.2
BuildRequires:  libgnomeprint22-devel >= 2.2.0
BuildRequires:  libgnomeprintui22-devel >= 2.2.0
BuildRequires:  libxslt-devel >= 1.0
BuildRequires:	intltool

Obsoletes: mrproject <= 0.10

%description
Planner is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install Planner if you wish to manage schedules, allocate
resources, and track the progress of your projects.


%package -n lib%{name}
Summary: Support libraries for Planner
License: GPL
Group: System Environment/Libraries

%description -n lib%{name}
A support library for accessing Planner data.

%package -n lib%{name}-devel
Summary:	The files needed for libplanner application development.
License: GPL
Group: 		Development/Libraries
Requires:	lib%{name} = %{PACKAGE_VERSION}
Requires:	gtk2-devel

%description -n lib%{name}-devel
The libplanner-devel package contains the necessary include files
for developing applications that access Planner data

%prep
%setup -q

%build
intltoolize
%configure --disable-timetable

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall MRP_PLUGINDIR=$RPM_BUILD_ROOT/%{_libdir}/planner/plugins MRP_VIEWDIR=$RPM_BUILD_ROOT/%{_libdir}/planner/views

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/planner/*/*la
rm -f $RPM_BUILD_ROOT%{_libdir}/planner/*la

desktop-file-install --vendor imendio --delete-original     \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Aurox-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/planner.desktop


%find_lang %name
%find_lang planner-libplanner


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update

%postun
/sbin/ldconfig
scrollkeeper-update

%files -f %{name}.lang 
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/planner
%{_libdir}/planner
%{_datadir}/planner
#%{_datadir}/gnome-2.0/ui/*.ui
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%dir %{_datadir}/gnome/help/planner
%{_datadir}/gnome/help/planner/*
%dir %{_datadir}/omf/planner
%{_datadir}/omf/planner/*
%dir %{_libdir}/planner
%{_libdir}/planner/*

%files -n libplanner -f planner-libplanner.lang
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING
%{_libdir}/libplanner-1.so

%files -n libplanner-devel
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING
%{_includedir}/planner-1.0/libplanner
%{_libdir}/libplanner-1.la
%{_libdir}/pkgconfig/libplanner-1.pc
 
#%exclude %{_libdir}/planner/plugins/libproject-sql*
#%exclude %{_datadir}/planner/glade/mg-sql.glade
#%exclude %{_datadir}/gnome-2.0/ui/sql-plugin.ui

%changelog
* Wed Apr 28 2004 Aurox Team <aurox@aurox.org> 0:0.11-9.4.aur.1
- dag src.rpm added
- file paths changed
- initial build for Aurox 9.4
- gz to bz2 changed in spec
- initial build for Aurox

* Mon Dec 1 2003 Richard Hult <richard@imendio.com>
- Start over with a new spec file, needs a lot more work.
